image: docker:18.09.7

variables:
  DOCKER_DRIVER: overlay2
  
services:
  - docker:18.09.7-dind

before_script:
  - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY

build:
  stage: build
  script:
    - ./docker-build.sh
  coverage: '/coverage\: (\d+)\% of statements/'
  artifacts:
    paths:
      - target/site/jacoco/

pages:
  stage: deploy
  dependencies:
    - build
  script:
    - mv target/site/jacoco/ public/
  artifacts:
    paths:
      - public
    expire_in: 30 days
